import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/notice_board_event_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/notice_board_event_entity.g.dart';

@JsonSerializable()
class NoticeBoardEventEntity {
	late int count = 0;
	late int page = 0;
	late int limit = 0;
	@JSONField(name: "count_page")
	late int countPage = 0;
	late List<NoticeBoardEventList> list = [];

	NoticeBoardEventEntity();

	factory NoticeBoardEventEntity.fromJson(Map<String, dynamic> json) => $NoticeBoardEventEntityFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardEventEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class NoticeBoardEventList {
	late int id = 0;
	late String title = '';
	late String datetime = '';
	@JSONField(name: "created_at")
	late String createdAt = '';

	NoticeBoardEventList();

	factory NoticeBoardEventList.fromJson(Map<String, dynamic> json) => $NoticeBoardEventListFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardEventListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}